org.eclipse.viatra.transformation.debug.communication

## Interface IDebuggerHostAgent

-     public interface IDebuggerHostAgent

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.util.List<TransformationModelElement>>` | `getChildren(TransformationModelElement parent)`
    `java.util.Map<java.lang.String,java.util.List<TransformationModelElement>>` | `getCrossReferences(TransformationModelElement parent)`
    `java.util.List<TransformationModelElement>` | `getRootElements()`
    `void` | `registerDebuggerHostAgentListener(IDebuggerHostAgentListener listener)`
    `void` | `sendAddBreakpointMessage(ITransformationBreakpointHandler breakpoint)`
    `void` | `sendContinueMessage()`
    `void` | `sendDisableBreakpointMessage(ITransformationBreakpointHandler breakpoint)`
    `void` | `sendDisconnectMessage()`
    `void` | `sendEnableBreakpointMessage(ITransformationBreakpointHandler breakpoint)`
    `void` | `sendNextActivationMessage(ActivationTrace activation)`
    `void` | `sendRemoveBreakpointMessage(ITransformationBreakpointHandler breakpoint)`
    `void` | `sendStepMessage()`
    `void` | `unRegisterDebuggerHostAgentListener(IDebuggerHostAgentListener listener)`

- - ### Method Detail

    - #### sendStepMessage

          void sendStepMessage()

    - #### sendContinueMessage

          void sendContinueMessage()

    - #### sendNextActivationMessage

          void sendNextActivationMessage(ActivationTrace activation)

    - #### sendAddBreakpointMessage

          void sendAddBreakpointMessage(ITransformationBreakpointHandler breakpoint)

    - #### sendRemoveBreakpointMessage

          void sendRemoveBreakpointMessage(ITransformationBreakpointHandler breakpoint)

    - #### sendDisableBreakpointMessage

          void sendDisableBreakpointMessage(ITransformationBreakpointHandler breakpoint)

    - #### sendEnableBreakpointMessage

          void sendEnableBreakpointMessage(ITransformationBreakpointHandler breakpoint)

    - #### sendDisconnectMessage

          void sendDisconnectMessage()

    - #### registerDebuggerHostAgentListener

          void registerDebuggerHostAgentListener(IDebuggerHostAgentListener listener)

    - #### unRegisterDebuggerHostAgentListener

          void unRegisterDebuggerHostAgentListener(IDebuggerHostAgentListener listener)

    - #### getRootElements

          java.util.List<TransformationModelElement> getRootElements()

    - #### getChildren

          java.util.Map<java.lang.String,java.util.List<TransformationModelElement>> getChildren(TransformationModelElement parent)

    - #### getCrossReferences

          java.util.Map<java.lang.String,java.util.List<TransformationModelElement>> getCrossReferences(TransformationModelElement parent)